| PUT | /RestApi/comments-api/threads |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Key | body | string | No | |
| IsClosed | body | bool | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Key | form | string | No | |
| Type | form | string | No | |
| CommentsCount | form | int | No | |
| Title | form | string | No | |
| Language | form | string | No | |
| IsClosed | form | bool | No | |
| GroupKey | form | string | No | |
| ItemUrl | form | string | No | |
| DataSource | form | string | No | |
| AverageRating | form | decimal? | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/comments-api/threads HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
Key: String,
IsClosed: False
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
Key: String,
Type: String,
CommentsCount: 0,
Title: String,
Language: String,
IsClosed: False,
GroupKey: String,
ItemUrl: String,
DataSource: String,
AverageRating: 0
}